Subject: [core] Fwd: IAB Statement on IPv6

From: Carsten Bormann <[email-masked]>
Date: Tue, 8 Nov 2016 08:31:57 +0100

Below is the IAB statement on IPv6 that was referred to here earlier.

In the CoRE WG, I think we are good with these recommendations — we actually have been practicing them from the outset.
But it is useful to have them available written down, so please do have a look.

I do not think any of this stops us addressing requirements that come from deployments that are at least partially stuck on IPv4.  E.g., the work on CoAP over TCP is partially motivated by such requirements.

Grüße, Carsten

> Begin forwarded message:
> 
> From: IAB Chair <[email-masked] <mailto:[email-masked]>>
> Subject: IAB Statement on IPv6
> Date: 8 November 2016 at 05:23:08 +0100
> 
> Dear colleagues,
> 
> The IAB has posted a statement to its website about IPv6
> (https://www.iab.org/2016/11/07/iab-statement-on-ipv6/ <https://www.iab.org/2016/11/07/iab-statement-on-ipv6/>).  It is
> reproduced in full below:
> 
> The Internet Architecture Board (IAB), following discussions in the
> Internet Engineering Task Force (IETF), advises its partner Standards
> Development Organizations (SDOs) and organizations that the pool of
> unassigned IPv4 addresses has been exhausted, and as a result we are
> seeing an increase in both dual-stack (that is, both IPv4 and IPv6)
> and IPv6-only deployments, a trend that will only
> accelerate. Therefore, networking standards need to fully support
> IPv6. The IETF as well as other SDOs need to ensure that their
> standards do not assume IPv4.
> 
> The IAB expects that the IETF will stop requiring IPv4 compatibility
> in new or extended protocols. Future IETF protocol work will then
> optimize for and depend on IPv6.
> 
> Preparation for this transition requires ensuring that many different
> environments are capable of operating completely on IPv6 without being
> dependent on IPv4 [see RFC 6540].  We recommend that all networking
> standards assume the use of IPv6, and be written so they do not
> require IPv4. We recommend that existing standards be reviewed to
> ensure they will work with IPv6, and use IPv6 examples. Backward
> connectivity to IPv4, via dual-stack or a transition technology, will
> be needed for some time. The key issue for SDOs is to remove any
> obstacles in their standards which prevent or slow down the transition
> in different environments.
> 
> In addition, the IETF has found it useful to add IPv6 to its external
> resources (e.g., Web, mail) and to also run IPv6 on its conference
> network since this helps our participants and contributors and also
> sends the message that we are serious about IPv6. That approach might
> be applicable to other SDOs.
> 
> We encourage the industry to develop strategies for IPv6-only
> operation. We welcome reports of where gaps in standards remain,
> requiring further developments in IPv6 or other protocols. We are also
> ready to provide support or assistance in bridging those gaps.
> 
> Best regards,
> 
> Andrew Sullivan
> for the IAB
> 
> -- 
> IAB Chair (Andrew Sullivan)
> [email-masked] <mailto:[email-masked]>
> 
>